#---------------------------------------------------------------------------
#
#   MWG - Shell
#
#---------------------------------------------------------------------------

from humerus.heshell import HEShell
from humerus.main_commands import MainCommandScreen
from humerus.edit_commands import EditCommandScreen
from play_screen import MwgPlayScreen
from edit_screen import MwgEditScreen
import sounds

class MwgShell(HEShell):

	game_title = "Myna Weft Golf"
	
	def __init__(self, game, options):
		HEShell.__init__(self, game, options)
		self.main_menu_screen = MainCommandScreen(self, with_menu = True)
		self.edit_menu_screen = EditCommandScreen(self, with_menu = True)
		self.play_screen = MwgPlayScreen(self)
		self.editor_screen = MwgEditScreen(self)

	def show_main_menu_screen(self):
		HEShell.show_main_menu_screen(self)
		###sounds.start_main_menu_sound()

	def show_screen(self, new_screen):
		if new_screen is not self.current_screen:
			sounds.stop_background_sound()
		HEShell.show_screen(self, new_screen)
